package PoorBooru::API::V0::Controller::Meta;
use v5.36;
use strict;
use warnings;

use Mojo::Base "Mojolicious::Controller";

sub index ($self)
{
	return $self->render(json => [
		{ path => "/meta", verb => "GET" },

		{ path => "/tags",                verb => "GET" },
		{ path => "/tags",                verb => "POST" },
		{ path => "/tag/:tag_id_or_name", verb => "GET" },

		{ path => "/media/:media_id",          verb => "GET" },
		{ path => "/media/download/:media_id", verb => "GET" },

		{ path => "/random/media", verb => "GET" },
		{ path => "/random/tag",   verb => "GET" },
	]);
};

1;
