package PoorBooru;
use v5.36;
use strict;
use warnings;

use Mojo::Base "Mojolicious";

sub startup ($self)
{
	$self->moniker("poorbooru");

	my $config = $self->plugin("Config");
	$self->secrets($config->{secrets});

	$self->plugin(Mount => {
		"/api/v0" => $self->home->child("script", "poorbooru-api-v0"),
	});
}

1;
